#ifndef _KCJ_RESET_INFO_H
#define _KCJ_RESET_INFO_H
/* arch/arm/mach-msm/kcj_reset_info.h
 *
 * Kyocera Reset Information
 *
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2011 KYOCERA Corporation
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#include <linux/ptrace.h>


 
 
#define RSTINFO_START_ADDR      (0xFC100200)
#define RSTINFO_STACK_SIZE      (2048)
#define RSTINFO_MAGIC_LEN       (7)

#define KLOG_IOCTLID            0xD1
#define REQUEST_SAVE_STACK      _IO(KLOG_IOCTLID,  1)
#define REQUEST_READ_MAGIC      _IO(KLOG_IOCTLID,  2)


 
 
typedef struct {
    char            magic[RSTINFO_MAGIC_LEN];          
    unsigned char   remaining;                         

    struct timespec uptime;                            
    struct timespec idletime;                          
    struct timespec crashtime;                         

    struct pt_regs  regs;                              

    unsigned long   stack_limit;                       
    unsigned long   dump_size;                         
    unsigned long   dump_begin;                        
    char            stacks[RSTINFO_STACK_SIZE];        

    unsigned long   sum;                               
} t_RESET_INFO;

#endif

